Bug 148361 - FILEOPEN: DOCX: Incorrect information in placeholder
Summary: FILEOPEN: DOCX: Incorrect information in placeholder
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.4.0 target:7.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-04-04 11:27 UTC by Xisco Faulí
Modified: 2022-05-10 08:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison MSO 2010 and LibreOffice 7.4 master (59.68 KB, image/png)
2022-04-04 11:27 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-04-04 11:27:37 UTC
Created attachment 179302 [details]
Comparison MSO 2010 and LibreOffice 7.4 master

Steps to reproduce:
1. Open attachment 87024 [details] from bug 70066

-> The placeholders in the footer show 'itadmin'. They should show '[Type text]' instead. See comparison

Reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 9f0e19721bb598c75835cfa94f4158085f81288e
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (es_ES.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2022-04-04 11:28:18 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b5c616d10bff3213840d4893d13b4493de71fa56

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2021-11-24 14:50:12 +0300
committer	Thorsten Behrens <thorsten.behrens@allotropia.de>	2021-12-20 00:16:12 +0100
commit b5c616d10bff3213840d4893d13b4493de71fa56 (patch)
tree d96535ffae96f4b0c35aee51a3257770826c8063
parent 302ef0c63b8e95d040cf5b19865e8540e78f9d15 (diff)
tdf#104823: support for sdt plain text fields

Bisected with: bibisect-linux64-7.4

Adding Cc: to Vasily Melenchuk
Comment 2 Vasily Melenchuk (CIB) 2022-04-04 15:11:15 UTC
Confirmed.

My fault: data binding stuff was not cleared correctly for next sdt blocks, so were reused from previous fields. Fix is in gerrit.
Comment 3 Commit Notification 2022-04-05 14:51:06 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fafadd7aee8c384af210008f693b5007a9f5ea48

tdf#148361: docx sdt: cleanup databinding data after inserting

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-04-06 07:35:21 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/2d1bd913d9f896d55c03dd509eb11c81667c5436

tdf#148361: docx sdt: cleanup databinding data after inserting

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 AshleyMatthews 2022-05-10 06:03:57 UTC Comment hidden (spam)